Delete the binary file of an audio
DELETE/spaces/{owner}/{space}/audios/{audio}/file
Delete the binary file of an audio.
Path Parameters
The handle of the owner.
Possible values: non-empty and <= 50 characters
The handle of the space.
Possible values: non-empty and <= 50 characters
The handle of the audio.
Possible values: non-empty and <= 50 characters
Responses
- 200
- 404
The updated audio
Response Body
The UUID of the audio. Is unique.
string<uuid>00000000-0000-0000-0000-000000000000The handle of the audio. Is unique.
string<handle>audio-aThe alias of the audio.
string,null<alias>Audio AThe state of the audio.
AudioState (string)Possible values: [avaitingFile, available, notAvailable]
availableThe duration of the audio.
string<duration>PT3.500SThe sampling sample rate of the audio.
integer<int32>8000identityobject | nullrequired
The identity linked to the audio.
The handle of the identity. Is unique.
string<handle>identity-aThe alias of the identity.
string,null<alias>Identity AThe number of voiceprints of the audio.
integer<int32>10The number of verifications of the audio.
integer<int32>10The date and time when the audio was created.
string<date-time>2023-01-01T00:00:00.000000ZThe date and time when the binary file was uploaded.
string<date-time>2023-01-01T00:00:00.000000ZExample from Schema
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "audio-a",
"alias": "Audio A",
"state": "available",
"duration": "PT3.500S",
"sampleRate": 8000,
"identity": {
"handle": "identity-a",
"alias": "Identity A"
},
"voiceprints": 10,
"verifications": 10,
"createdAt": "2023-01-01T00:00:00.000000Z",
"uploadedAt": "2023-01-01T00:00:00.000000Z"
}
Resource not found
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}